package net.wanji.web.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 方案管理-路口配置-保存渠化配置输入参数
 *
 * @author Kent HAN
 * @date 2022/12/20 10:17
 */
@NoArgsConstructor
@Data
public class SaveLaneInfoDTO {
    /**
     * crossId : c7e7b1f352dd4acab4a60088eb391cca
     * dirList : [{"dir":1,"laneList":[{"direction":1,"name":"01","laneType":1}]}]
     */
    @ApiModelProperty(value = "路口ID，如：c7e7b1f352dd4acab4a60088eb391cca", required = true)

    private String crossId;
    private List<DirListElement> dirList;
}
